# Uses of Enum Class
xg.md.ProtocolMetadata.protocolIdentity.identityType

Packages that use ProtocolMetadata.protocolIdentity.identityType
Package
Description
xg.md

## Uses of ProtocolMetadata.protocolIdentity.identityType in xg.md

Methods in xg.md that return ProtocolMetadata.protocolIdentity.identityType
Modifier and Type
Method
Description
`static ProtocolMetadata.protocolIdentity.identityType`
ProtocolMetadata.protocolIdentity.identityType.`forNumber(int value)`
`ProtocolMetadata.protocolIdentity.identityType`
ProtocolMetadata.protocolIdentity.Builder.`getType()`
The type of the identity
`ProtocolMetadata.protocolIdentity.identityType`
ProtocolMetadata.protocolIdentity.`getType()`
The type of the identity
`ProtocolMetadata.protocolIdentity.identityType`
ProtocolMetadata.protocolIdentityOrBuilder.`getType()`
The type of the identity
`static ProtocolMetadata.protocolIdentity.identityType`
ProtocolMetadata.protocolIdentity.identityType.`valueOf(int value)`
Deprecated.
`static ProtocolMetadata.protocolIdentity.identityType`
ProtocolMetadata.protocolIdentity.identityType.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static ProtocolMetadata.protocolIdentity.identityType`
ProtocolMetadata.protocolIdentity.identityType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ProtocolMetadata.protocolIdentity.identityType[]`
ProtocolMetadata.protocolIdentity.identityType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in xg.md that return types with arguments of type ProtocolMetadata.protocolIdentity.identityType
Modifier and Type
Method
Description
`static Internal.EnumLiteMap<ProtocolMetadata.protocolIdentity.identityType>`
ProtocolMetadata.protocolIdentity.identityType.`internalGetValueMap()`
Methods in xg.md with parameters of type ProtocolMetadata.protocolIdentity.identityType
Modifier and Type
Method
Description
`ProtocolMetadata.protocolIdentity.Builder`
ProtocolMetadata.protocolIdentity.Builder.`setType(ProtocolMetadata.protocolIdentity.identityType value)`
The type of the identity